org.crosswire.jsword.index.lucene.analysis

## Class SavedStreams

- java.lang.Object
- - org.crosswire.jsword.index.lucene.analysis.SavedStreams

-      class SavedStreams
      extends Object

  SavedStreams is used to make reusable Lucene analyzers.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.apache.lucene.analysis.TokenStream` | `result`
    `private org.apache.lucene.analysis.Tokenizer` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SavedStreams(org.apache.lucene.analysis.Tokenizer source)` Save the TokenStream starting with the source.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.TokenStream` | `getResult()`
    `org.apache.lucene.analysis.Tokenizer` | `getSource()`
    `void` | `setResult(org.apache.lucene.analysis.TokenStream result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### source

          private org.apache.lucene.analysis.Tokenizer source

    - #### result

          private org.apache.lucene.analysis.TokenStream result

  - ### Constructor Detail

    - #### SavedStreams

          SavedStreams(org.apache.lucene.analysis.Tokenizer source)

      Save the TokenStream starting with the source.
      Parameters:
        `source` -

  - ### Method Detail

    - #### getSource

          public org.apache.lucene.analysis.Tokenizer getSource()

      Returns:
        the source

    - #### getResult

          public org.apache.lucene.analysis.TokenStream getResult()

      Returns:
        the result

    - #### setResult

          public void setResult(org.apache.lucene.analysis.TokenStream result)

      Parameters:
        `result` - the result to set